be.fgov.ehealth.rn.cbsspersonlegaldata.v1

## Class CbssPersonResponseType

- java.lang.Object
- - be.fgov.ehealth.rn.cbsspersonlegaldata.v1.CbssPersonResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:32:03+02:00",
                 comments="JAXB RI v2.3.7")
      public class CbssPersonResponseType
      extends Object
      implements Serializable

  Type encapsulating all legaldata of a person specific for the CbssPersonService

  Java class for CbssPersonResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CbssPersonResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SsinType"/>
               <element name="Name" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NameInfoBaseType"/>
               <element name="Nationalities" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalitiesBaseType" minOccurs="0"/>
               <element name="Birth" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BirthInfoBaseType" minOccurs="0"/>
               <element name="Decease" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DeceaseInfoBaseType" minOccurs="0"/>
               <element name="Gender" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GenderInfoBaseType" minOccurs="0"/>
               <element name="CivilStates" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CivilStatesBaseType" minOccurs="0"/>
               <element name="Address" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AddressCbssBaseType" minOccurs="0"/>
               <element name="ContactAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressBaseType" minOccurs="0"/>
               <element name="Anomalies" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}AnomaliesType" minOccurs="0"/>
             </sequence>
             <attribute name="Register" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}PersonRegisterType" />
             <attribute name="RegisterInceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CbssPersonResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddressCbssBaseType` | `getAddress()` Gets the value of the address property.
    `AnomaliesType` | `getAnomalies()` Gets the value of the anomalies property.
    `BirthInfoBaseType` | `getBirth()` Gets the value of the birth property.
    `CivilStatesBaseType` | `getCivilStates()` Gets the value of the civilStates property.
    `ContactAddressBaseType` | `getContactAddress()` Gets the value of the contactAddress property.
    `DeceaseInfoBaseType` | `getDecease()` Gets the value of the decease property.
    `GenderInfoBaseType` | `getGender()` Gets the value of the gender property.
    `NameInfoBaseType` | `getName()` Gets the value of the name property.
    `NationalitiesBaseType` | `getNationalities()` Gets the value of the nationalities property.
    `String` | `getRegister()` Gets the value of the register property.
    `org.joda.time.DateTime` | `getRegisterInceptionDate()` Gets the value of the registerInceptionDate property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `void` | `setAddress(AddressCbssBaseType value)` Sets the value of the address property.
    `void` | `setAnomalies(AnomaliesType value)` Sets the value of the anomalies property.
    `void` | `setBirth(BirthInfoBaseType value)` Sets the value of the birth property.
    `void` | `setCivilStates(CivilStatesBaseType value)` Sets the value of the civilStates property.
    `void` | `setContactAddress(ContactAddressBaseType value)` Sets the value of the contactAddress property.
    `void` | `setDecease(DeceaseInfoBaseType value)` Sets the value of the decease property.
    `void` | `setGender(GenderInfoBaseType value)` Sets the value of the gender property.
    `void` | `setName(NameInfoBaseType value)` Sets the value of the name property.
    `void` | `setNationalities(NationalitiesBaseType value)` Sets the value of the nationalities property.
    `void` | `setRegister(String value)` Sets the value of the register property.
    `void` | `setRegisterInceptionDate(org.joda.time.DateTime value)` Sets the value of the registerInceptionDate property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CbssPersonResponseType

          public CbssPersonResponseType()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public NameInfoBaseType getName()

      Gets the value of the name property.
      Returns:
        possible object is `NameInfoBaseType`

    - #### setName

          public void setName(NameInfoBaseType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `NameInfoBaseType`

    - #### getNationalities

          public NationalitiesBaseType getNationalities()

      Gets the value of the nationalities property.
      Returns:
        possible object is `NationalitiesBaseType`

    - #### setNationalities

          public void setNationalities(NationalitiesBaseType value)

      Sets the value of the nationalities property.
      Parameters:
        `value` - allowed object is `NationalitiesBaseType`

    - #### getBirth

          public BirthInfoBaseType getBirth()

      Gets the value of the birth property.
      Returns:
        possible object is `BirthInfoBaseType`

    - #### setBirth

          public void setBirth(BirthInfoBaseType value)

      Sets the value of the birth property.
      Parameters:
        `value` - allowed object is `BirthInfoBaseType`

    - #### getDecease

          public DeceaseInfoBaseType getDecease()

      Gets the value of the decease property.
      Returns:
        possible object is `DeceaseInfoBaseType`

    - #### setDecease

          public void setDecease(DeceaseInfoBaseType value)

      Sets the value of the decease property.
      Parameters:
        `value` - allowed object is `DeceaseInfoBaseType`

    - #### getGender

          public GenderInfoBaseType getGender()

      Gets the value of the gender property.
      Returns:
        possible object is `GenderInfoBaseType`

    - #### setGender

          public void setGender(GenderInfoBaseType value)

      Sets the value of the gender property.
      Parameters:
        `value` - allowed object is `GenderInfoBaseType`

    - #### getCivilStates

          public CivilStatesBaseType getCivilStates()

      Gets the value of the civilStates property.
      Returns:
        possible object is `CivilStatesBaseType`

    - #### setCivilStates

          public void setCivilStates(CivilStatesBaseType value)

      Sets the value of the civilStates property.
      Parameters:
        `value` - allowed object is `CivilStatesBaseType`

    - #### getAddress

          public AddressCbssBaseType getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `AddressCbssBaseType`

    - #### setAddress

          public void setAddress(AddressCbssBaseType value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `AddressCbssBaseType`

    - #### getContactAddress

          public ContactAddressBaseType getContactAddress()

      Gets the value of the contactAddress property.
      Returns:
        possible object is `ContactAddressBaseType`

    - #### setContactAddress

          public void setContactAddress(ContactAddressBaseType value)

      Sets the value of the contactAddress property.
      Parameters:
        `value` - allowed object is `ContactAddressBaseType`

    - #### getAnomalies

          public AnomaliesType getAnomalies()

      Gets the value of the anomalies property.
      Returns:
        possible object is `AnomaliesType`

    - #### setAnomalies

          public void setAnomalies(AnomaliesType value)

      Sets the value of the anomalies property.
      Parameters:
        `value` - allowed object is `AnomaliesType`

    - #### getRegister

          public String getRegister()

      Gets the value of the register property.
      Returns:
        possible object is `String`

    - #### setRegister

          public void setRegister(String value)

      Sets the value of the register property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRegisterInceptionDate

          public org.joda.time.DateTime getRegisterInceptionDate()

      Gets the value of the registerInceptionDate property.
      Returns:
        possible object is `String`

    - #### setRegisterInceptionDate

          public void setRegisterInceptionDate(org.joda.time.DateTime value)

      Sets the value of the registerInceptionDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.